Page MenuHomePhabricator

Flow actions to RC feeds are useless and don't say what action was taken
Closed, ResolvedPublic

Description

I created a new topic on Talk:Flow and this showed up in IRC:

[05:53:41 PM] <rc_> [[Talk:Flow]] ! http://127.0.0.1:8080/w/index.php?diff=0&oldid=0&rcid=119 * Admin * (+0)
[05:53:41 PM] <rc_> [[Talk:Flow]] ! http://127.0.0.1:8080/w/index.php?diff=0&oldid=0&rcid=120 * Admin * (+0)

Links are broken, and there is no indication that I created a new topic.

Will fix the rest of bug 60275 I assume.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60646
https://bugzilla.wikimedia.org/show_bug.cgi?id=61927

Details

Reference
bz60559

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:52 AM
bzimport set Reference to bz60559.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Jan 29 2014, 2:06 AM

Looks like we can (ab)use the IRCLineURL hook to fix the urls.

Going to remove the dependency upon bug 60275 since it looks like that one is being fixed differently.

  • Bug 61452 has been marked as a duplicate of this bug. ***
  • Bug 61927 has been marked as a duplicate of this bug. ***

Change 117246 had a related patch set uploaded by EBernhardson:
New hook CheckUserInsertForRecentChange

https://gerrit.wikimedia.org/r/117246

Change 117246 merged by jenkins-bot:
New hook CheckUserInsertForRecentChange

https://gerrit.wikimedia.org/r/117246

Change 117253 had a related patch set uploaded by EBernhardson:
Inject CheckUser data more directly

https://gerrit.wikimedia.org/r/117253

Change 117253 merged by jenkins-bot:
Inject CheckUser data more directly

https://gerrit.wikimedia.org/r/117253

Using current master I still see:

[14:15:11] <rc_> [[Talk:Flow]] ! http://127.0.0.1:8080/w/index.php?diff=0&oldid=0&rcid=2 * 10.0.2.2 * (+9)
[14:15:12] <rc_> [[Talk:Flow]] ! http://127.0.0.1:8080/w/index.php?diff=0&oldid=0&rcid=3 * 10.0.2.2 * (+4)

Change 123114 had a related patch set uploaded by EBernhardson:
Provide better URLs to IRC rcfeed

https://gerrit.wikimedia.org/r/123114

Change 123114 merged by jenkins-bot:
Provide better URLs to IRC rcfeed

https://gerrit.wikimedia.org/r/123114

This was basically fixed in I0662149a4f975fc998f723b856f13009435b0eba (merged a while back).

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:40 AM